    001/*
    002 * Copyright (c) 2007-2017 Xplenty, Inc. All Rights Reserved.
    003 *
    004 * Project and contact information: http://www.cascading.org/
    005 *
    006 * This file is part of the Cascading project.
    007 *
    008 * Licensed under the Apache License, Version 2.0 (the "License");
    009 * you may not use this file except in compliance with the License.
    010 * You may obtain a copy of the License at
    011 *
    012 *     http://www.apache.org/licenses/LICENSE-2.0
    013 *
    014 * Unless required by applicable law or agreed to in writing, software
    015 * distributed under the License is distributed on an "AS IS" BASIS,
    016 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    017 * See the License for the specific language governing permissions and
    018 * limitations under the License.
    019 */
    020
    021package cascading.operation;
    022
    023import cascading.CascadingException;
    024
    025/** Class OperationException is thrown by {@link BaseOperation} classes. */
    026public class OperationException extends CascadingException
    027  {
    028  /** Constructor OperationException creates a new OperationException instance. */
    029  public OperationException()
    030    {
    031    }
    032
    033  /**
    034   * Constructor OperationException creates a new OperationException instance.
    035   *
    036   * @param string of type String
    037   */
    038  public OperationException( String string )
    039    {
    040    super( string );
    041    }
    042
    043  /**
    044   * Constructor OperationException creates a new OperationException instance.
    045   *
    046   * @param string    of type String
    047   * @param throwable of type Throwable
    048   */
    049  public OperationException( String string, Throwable throwable )
    050    {
    051    super( string, throwable );
    052    }
    053
    054  /**
    055   * Constructor OperationException creates a new OperationException instance.
    056   *
    057   * @param throwable of type Throwable
    058   */
    059  public OperationException( Throwable throwable )
    060    {
    061    super( throwable );
    062    }
    063  }